%global desc A lightweight, object-oriented state machine implementation in \
Python. Compatible with Python 2.7+ and 3.0+.
%global srcname transitions


Name:      python-%{srcname}
Version:   0.6.9
Release:   1%{?dist}
BuildArch: noarch

License: MIT
Summary: A lightweight, object-oriented finite state machine implementation in Python
URL:     https://github.com/pytransitions/transitions
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-dill
BuildRequires: python3-mock
BuildRequires: python3-nose
BuildRequires: python3-pycodestyle
BuildRequires: python3-six


%description
%{desc}


%package docs
Summary: Documentation for %{name}


%description docs
Documentation for %{name}.


%package -n python3-%{srcname}
Summary: %{summary}

Requires: python3-six
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
nosetests-3 tests


%files docs
%license LICENSE
%doc examples
%doc Changelog.md
%doc README.md


%files -n python3-%{srcname}
%license LICENSE
%doc Changelog.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Thu Dec 20 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9.
- https://github.com/pytransitions/transitions/blob/0.6.9/Changelog.md

* Fri Dec 07 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.8-1
- Drop Python 2 subpackage.

* Tue Jul 31 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.8-1
- Update to 0.6.8.
- Add more BuildRequires.
- Split docs into their own subpackage.

* Thu Apr 12 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.4-1
- Initial release.
